> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Balances

> This endpoint retrieves all balances for accounts within a business's general ledger.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the Ledger is associated with.
</ParamField>

### Query String Parameters

<ParamField query="start_date" type="ISO8601 timestamp">
  Filter balances to include entries applied on or after the specified time. This filters the `entry_at` field of the ledger entries for each account.
</ParamField>

<ParamField query="end_date" type="ISO8601 timestamp">
  Filter balances to include entries on or before the specified time. This filters the `entry_at` field of the ledger entries for each account.
</ParamField>

<ParamField query="tag_key" type="string">
  Filter for entries with a specific tag key. Both `tag_key` and `tag_values` must be specified to filter by tags.
</ParamField>

<ParamField query="tag_values" type="string">
  Filter balances to include entries with specific tag values. Multiple values for a specific key can be specified, separated by commas.
  Both `tag_key` and `tag_values` must be specified to filter by tags.
</ParamField>

<ParamField query="customer_id" type="string">
  Filter balance to include entries associated with the customer specified by the given ID.
</ParamField>

<ParamField query="customer_external_id" type="string">
  Filter balances to include entries associated with the customer specified by the given external ID.
</ParamField>

<ParamField query="vendor_id" type="string">
  Filter balances to include entries associated with the vendor specified by the given ID.
</ParamField>

<ParamField query="vendor_external_id" type="string">
  Filter balances to include entries associated with the vendor specified by the given external ID.
</ParamField>

### Response

Returns an array of [Ledger Account](/api-reference/ledger/chart#ledger-account-object) objects with their entries omitted.

<RequestExample>
  ```bash Request theme={null}
  curl https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/balances \
    -H "Authorization: Bearer <access_token>"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "type": "Ledger_Balances",
          "accounts": [
              {
                  "id": "6ac7e685-4859-43a0-9f26-61e57c31f4ea",
                  "name": "Expenses",
                  "stable_name": "EXPENSES",
                  "normality": "DEBIT",
                  "account_type": {
                      "value": "EXPENSE",
                      "display_name": "Expenses"
                  },
                  "account_subtype": null,
                  "balance": 11790985,
                  "entries": [],
                  "sub_accounts": [
                      {
                          "id": "ab16f453-6b0f-416d-bcc9-92edba3b6e0a",
                          "name": "Cost of Goods Sold",
                          "stable_name": "COGS",
                          "normality": "DEBIT",
                          "account_type": {
                              "value": "EXPENSE",
                              "display_name": "Expenses"
                          },
                          "account_subtype": {
                              "value": "COGS",
                              "display_name": "COGS"
                          },
                          "balance": 5156220,
                          "entries": [],
                          "sub_accounts": [
                          // Additional sub-accounts omitted for brevity
                          ]
                      },
                  ]
              },
              {
                  "id": "700a1b71-0b38-4d36-b46c-c0610f7849b5",
                  "name": "Revenue",
                  "stable_name": "REVENUE",
                  "normality": "CREDIT",
                  "account_type": {
                      "value": "REVENUE",
                      "display_name": "Revenue"
                  },
                  "account_subtype": null,
                  "balance": 25570000,
                  "entries": [],
                  "sub_accounts": []
              },
              // Additional accounts omitted for brevity
          ]
      }
  }
  ```
</ResponseExample>
